## org.apache.mahout.classifier.bayes.mapreduce.common
Class BayesConstants

    java.lang.Object
      org.apache.mahout.classifier.bayes.mapreduce.common.BayesConstants

    public final class BayesConstants

extends java.lang.Object

Class containing Constants used by Naive Bayes classifier classes

Field Summary
`static java.lang.String` `ALPHA_SMOOTHING_FACTOR`
`static java.lang.String` `CLASSIFIER_TUPLE`
`static java.lang.String` `DOCUMENT_FREQUENCY`
`static java.lang.String` `FEATURE_COUNT`
`static java.lang.String` `FEATURE_SET_SIZE`
`static java.lang.String` `FEATURE_SUM`
`static java.lang.String` `FEATURE_TF`
`static java.lang.String` `HBASE_COLUMN_FAMILY`
`static java.lang.String` `HBASE_COUNTS_ROW`
`static java.lang.String` `LABEL_COUNT`
`static java.lang.String` `LABEL_SUM`
`static java.lang.String` `LABEL_THETA_NORMALIZER`
`static java.lang.String` `TOTAL_SUM`
`static java.lang.String` `WEIGHT`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALPHA_SMOOTHING_FACTOR

    public static final java.lang.String ALPHA_SMOOTHING_FACTOR

See Also:
  Constant Field Values

### DOCUMENT_FREQUENCY

    public static final java.lang.String DOCUMENT_FREQUENCY

See Also:
  Constant Field Values

### LABEL_COUNT

    public static final java.lang.String LABEL_COUNT

See Also:
  Constant Field Values

### FEATURE_COUNT

    public static final java.lang.String FEATURE_COUNT

See Also:
  Constant Field Values

### FEATURE_TF

    public static final java.lang.String FEATURE_TF

See Also:
  Constant Field Values

### WEIGHT

    public static final java.lang.String WEIGHT

See Also:
  Constant Field Values

### FEATURE_SET_SIZE

    public static final java.lang.String FEATURE_SET_SIZE

See Also:
  Constant Field Values

### FEATURE_SUM

    public static final java.lang.String FEATURE_SUM

See Also:
  Constant Field Values

### LABEL_SUM

    public static final java.lang.String LABEL_SUM

See Also:
  Constant Field Values

### TOTAL_SUM

    public static final java.lang.String TOTAL_SUM

See Also:
  Constant Field Values

### CLASSIFIER_TUPLE

    public static final java.lang.String CLASSIFIER_TUPLE

See Also:
  Constant Field Values

### LABEL_THETA_NORMALIZER

    public static final java.lang.String LABEL_THETA_NORMALIZER

See Also:
  Constant Field Values

### HBASE_COUNTS_ROW

    public static final java.lang.String HBASE_COUNTS_ROW

See Also:
  Constant Field Values

### HBASE_COLUMN_FAMILY

    public static final java.lang.String HBASE_COLUMN_FAMILY

See Also:
  Constant Field Values

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.